forms_rt.jar compaibility with java 1.3

Is it possible to run a GUI built with IDEA on java 1.3?
I've tried this and get an UnsupportedClassVersionError (possibly coming from forms_rt.jar?).

3 comments

Please try use it in ANT script:

    
      
      
    
  
  
    
      
      
      
      
      
    
  
]]>


You must have %IDEA_HOME%/plugins/uiDesigner/javac2.jar or
%IDEA_HOME%/plugins/uiDesigner/lib/uiDesigner.jar in ANT classpath.

Please, try it and send results, if you can.

Thanks!

--
Alexey Efimov, Software Engineer
Sputnik Labs,
http://www.spklabs.com

"Chris Barrett" <chris@prepaytec.com> wrote in message
news:19897728.1067354598926.JavaMail.itn@is.intellij.net...

Is it possible to run a GUI built with IDEA on java 1.3?
I've tried this and get an UnsupportedClassVersionError (possibly coming

from forms_rt.jar?).
>


0

Thanks for the info, however I believe that even javac2.jar is not compatible with 1.3.

To recreate this, I just put javac2.jar in a new folder with the following build.xml file, set JAVA_HOME to 1.3.1 and ran "ant". It produced the exception below. I also tried using uiDesigner.jar with the same results.

BTW, I'm using the jars from build #957, on Windows with J2SE 1.3.1.

---

]]>

---

java.lang.UnsupportedClassVersionError: com/intellij/uiDesigner/ant/Javac2 (Unsu
pported major.minor version 48.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:486)
at java.lang.reflect.Method.invoke(Native Method)
at org.apache.tools.ant.AntClassLoader.getClassFromStream(AntClassLoader
.java:1002)
at org.apache.tools.ant.AntClassLoader.findClassInComponents(AntClassLoa
der.java:1064)
at org.apache.tools.ant.AntClassLoader.findClass(AntClassLoader.java:103
6)
at org.apache.tools.ant.AntClassLoader.loadClass(AntClassLoader.java:925
)
at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
at org.apache.tools.ant.taskdefs.Definer.addDefinition(Definer.java:230)

at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:162)
at org.apache.tools.ant.helper.ProjectHelperImpl$TaskHandler.finished(Pr
ojectHelperImpl.java:821)
at org.apache.tools.ant.helper.ProjectHelperImpl$AbstractHandler.endElem
ent(ProjectHelperImpl.java:300)
at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source
)
at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unkn
own Source)
at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStartElemen
t(Unknown Source)
at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContent
Dispatcher.dispatch(Unknown Source)
at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Un
known Source)
at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
at org.apache.tools.ant.helper.ProjectHelperImpl.parse(ProjectHelperImpl
.java:155)
at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.jav
a:117)
at org.apache.tools.ant.Main.runBuild(Main.java:596)
at org.apache.tools.ant.Main.start(Main.java:196)
at org.apache.tools.ant.Main.main(Main.java:235)
com/intellij/uiDesigner/ant/Javac2 (Unsupported major.minor version 48.0)


0

I think you right...
And Javac2 must be recompiled on JDK 1.3, or even 1.2

Thanks!


"Chris Barrett" <chris@prepaytec.com> wrote in message
news:1142607.1067421765251.JavaMail.javamailuser@localhost...

Thanks for the info, however I believe that even javac2.jar is not

compatible with 1.3.
>

To recreate this, I just put javac2.jar in a new folder with the following

build.xml file, set JAVA_HOME to 1.3.1 and ran "ant". It produced the
exception below. I also tried using uiDesigner.jar with the same results.
>

BTW, I'm using the jars from build #957, on Windows with J2SE 1.3.1.

>

---

>

<?xml version="1.0" encoding="UTF-8"?>
<project basedir="." default="usage" name="UITest">
<taskdef name="javac2"
classname="com.intellij.uiDesigner.ant.Javac2"
classpath="javac2.jar"/>
<target name="usage">
<echo message="It works!"/>
</target>
</project>

>

---

>

java.lang.UnsupportedClassVersionError: com/intellij/uiDesigner/ant/Javac2

(Unsu

pported major.minor version 48.0)
at java.lang.ClassLoader.defineClass0(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:486)
at java.lang.reflect.Method.invoke(Native Method)
at

org.apache.tools.ant.AntClassLoader.getClassFromStream(AntClassLoader

java:1002)
at

org.apache.tools.ant.AntClassLoader.findClassInComponents(AntClassLoa

der.java:1064)
at

org.apache.tools.ant.AntClassLoader.findClass(AntClassLoader.java:103

6)
at

org.apache.tools.ant.AntClassLoader.loadClass(AntClassLoader.java:925

)
at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
at

org.apache.tools.ant.taskdefs.Definer.addDefinition(Definer.java:230)
>

at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:162)
at

org.apache.tools.ant.helper.ProjectHelperImpl$TaskHandler.finished(Pr

ojectHelperImpl.java:821)
at

org.apache.tools.ant.helper.ProjectHelperImpl$AbstractHandler.endElem

ent(ProjectHelperImpl.java:300)
at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown

Source

)
at

org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(Unkn

own Source)
at

org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStartElemen

t(Unknown Source)
at

org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContent

Dispatcher.dispatch(Unknown Source)
at

org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Un

known Source)
at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown

Source)

at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown

Source)

at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown

Source)

at

org.apache.tools.ant.helper.ProjectHelperImpl.parse(ProjectHelperImpl

java:155)
at

org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.jav

a:117)
at org.apache.tools.ant.Main.runBuild(Main.java:596)
at org.apache.tools.ant.Main.start(Main.java:196)
at org.apache.tools.ant.Main.main(Main.java:235)
com/intellij/uiDesigner/ant/Javac2 (Unsupported major.minor version 48.0)

>
>
>


0

Please sign in to leave a comment.